Discover Posts by Profiles Array
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"url": "<string>"
}
]
}
'import requests
url = "https://api.brightdata.com/datasets/v3/scrape"
payload = { "input": [{ "url": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: [{url: '<string>'}]})
};
fetch('https://api.brightdata.com/datasets/v3/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "2039126434510418303",
"user_posted": "CozHealsSEN",
"name": "SENQ Breakfast",
"description": "LISTEN: North Queensland Cowboys front rower Matt Lodge joins Corey Parker and Andrew McCullough to discuss this weekend's match up against the Dragons",
"date_posted": "2026-03-31T23:43:21.000Z",
"photos": ["https://pbs.twimg.com/..."],
"url": "https://x.com/CozHealsSEN/status/2039126434510418303",
"quoted_post": null,
"tagged_users": null,
"replies": 0,
"reposts": 4,
"likes": 7,
"views": 726,
"external_url": "https://...",
"hashtags": null,
"followers": 814,
"biography": "QLD brekkie show with Corey Parker & Ian Healy.",
"posts_count": 4862,
"profile_image_link": "https://pbs.twimg.com/...",
"following": 430,
"is_verified": null,
"quotes": 0,
"bookmarks": 0,
"parent_post_details": {
"date_posted": "2026-03-31T23:43:21.000Z",
"post_id": "2039126434510418303",
"profile_id": "889656535722360833",
"profile_name": "SENQ Breakfast"
},
"videos": null,
"verification_type": null,
"user_id": "889656535722360833"
}
]
X (Twitter)
Discover posts by profiles array
Use the Bright Data Web Scraper API to discover Posts by Profiles Array. Calls the POST /datasets/v3/scrape endpoint and returns a snapshot ID.
POST
/
datasets
/
v3
/
scrape
Discover Posts by Profiles Array
Query Parameters
string
default:"gd_lwxkxvnf1cynvib9co"
required
The dataset ID used for this request.
Must be set to
gd_lwxkxvnf1cynvib9co to collect Discover by Profiles Array data.string
default:"discover_new"
Must be set to
discover_new.string
default:"profiles_array"
Must be set to
profiles_array.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
[
{
"id": "2039126434510418303",
"user_posted": "CozHealsSEN",
"name": "SENQ Breakfast",
"description": "LISTEN: North Queensland Cowboys front rower Matt Lodge joins Corey Parker and Andrew McCullough to discuss this weekend's match up against the Dragons",
"date_posted": "2026-03-31T23:43:21.000Z",
"photos": ["https://pbs.twimg.com/..."],
"url": "https://x.com/CozHealsSEN/status/2039126434510418303",
"quoted_post": null,
"tagged_users": null,
"replies": 0,
"reposts": 4,
"likes": 7,
"views": 726,
"external_url": "https://...",
"hashtags": null,
"followers": 814,
"biography": "QLD brekkie show with Corey Parker & Ian Healy.",
"posts_count": 4862,
"profile_image_link": "https://pbs.twimg.com/...",
"following": 430,
"is_verified": null,
"quotes": 0,
"bookmarks": 0,
"parent_post_details": {
"date_posted": "2026-03-31T23:43:21.000Z",
"post_id": "2039126434510418303",
"profile_id": "889656535722360833",
"profile_name": "SENQ Breakfast"
},
"videos": null,
"verification_type": null,
"user_id": "889656535722360833"
}
]
Was this page helpful?
⌘I